/*
 * $Id: HelpViewForm.java,v 1.4 2006/10/04 03:15:17 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: HelpViewForm.java,v $
 * Revision 1.4  2006/10/04 03:15:17  marbobo
 * + Vollständige Unterstützung für Templates implementiert
 * + Alles von Virtoweb auf ProCoBa umgestellt
 *
 * Revision 1.3  2006/05/12 22:14:51  marbobo
 * + Administrationssicht implementiert
 *
 * Revision 1.2  2005/10/04 15:15:17  marbobo
 * + Unterstützung für klassische und alternative Sicht implementiert
 *
 * Revision 1.1  2004/06/18 14:10:32  marbobo
 * + Hilfe für Virtoweb
 *
 */
package vkc.help.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import vkc.view.form.BasicActionForm;

/**
 * @author marbobo
 */
public final class HelpViewForm extends BasicActionForm {
	public static final Integer VKC_VIEW = new Integer(0);
	public static final Integer PROCOBA_VIEW = new Integer(1);
	public static final Integer ADMIN_VIEW = new Integer(2);

	private Integer viewId = VKC_VIEW;

	/**
	 * Reset der Eingabefelder auf Defaultwerte
	 *
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		super.reset(mapping, request);
		
		viewId = VKC_VIEW;
	}

	/**
	 * Validierung der Eingabefelder
	 *
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();
        
		return errors;
	}

	public Integer getViewId() {
		return viewId;
	}

	public void setViewId(Integer integer) {
		viewId = integer;
	}
}